Subject: Re: [Geopriv] Making decisions based on location information

From: Henning Schulzrinne <[email-masked]>
Date: Wed, 03 Aug 2005 05:36:54 -0400

Brian Rosen wrote:
> I am told that there are technologies that can do this.

Which ones?

> I know it's hard with some existing technologies.

At least as far as I know, it's beyond GPS without assistance (WAAS and 
the like) and beyond proposed publically available alternatives 
(Magellan, etc.).

_______________________________________________
Geopriv mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/geopriv

---

From: "James Winterbottom" <[email-masked]>
Date: Wed, 3 Aug 2005 19:47:02 +1000

Henning my apologies for the language

You are however introducing technology again that was not introduced
previously, and does not address my concerns of the previous email.

Cheers
James

-----Original Message-----
From: Henning Schulzrinne [mailto:[email-masked]] 
Sent: Wednesday, 3 August 2005 7:39 PM
To: Winterbottom, James [WOLL:5500:EXCH]
Cc: Brian Rosen; Thomson, Martin [WOLL:5500:EXCH]; [email-masked]
Subject: Re: [Geopriv] Making decisions based on location information

James Winterbottom wrote:
> Quite frankly what a crock!!!!

Thank you for your constructive language.

> 
> Most half decent surveyors survey buildings to within 2mm.
> In fact, most modern housing developments require entirely upon
> surveyors to determine lot boundaries and developments such that streets 
> and house numbers, and are first defined as such. Please, don't try to 
> tell me that this is not accurate enough for such purposes, or you will 
> be laughed off the planet.

I talked about maps. Anybody who has driven with a GPS unit knows that 
the car often strays virtually into the surrounding greenery.

> 
> Let us restrict the argument to reasonable facts.
> The DHCP civic draft is not the right place to put these
> recommendations, it is a TECHNOLOGY draft, the PIDF-LO profile draft is 
> the correct place for BCP recommendations.

---

From: "Marc Berryman" <[email-masked]>
Date: Wed, 3 Aug 2005 08:51:48 -0500

If the technology exist today is not the issue. The Standards need to be
flexible enough to mold with the technology that will be available in
the next (very) few years. The Census bureau is in a massive program to
upgrading their TIGER line files to be accurate +- 7 meters. The latest
revisions of the NENA GIS data standards and data models (all in draft
at present) calls for an accuracy of +- 7 meters. I think +- 7 meters is
sufficient.

One must remember that the higher the precision and the accuracy of the
mapped data the higher the cost. The cost for anything beyond +- 7
meters is, as far as acquiring accurate and precise mapped data, quickly
becomes out of reach of anyone except surveyors, certainly well beyond
the affordable range of a PSAP (I hate the word mapped, it is actually
spatially correct relational databases that can be viewed as a map, but
I'm getting off-track).

I think 7 meters is a reasonable goal.

My two cents worth,
 Marc B

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On
Behalf Of Brian Rosen
Sent: Wednesday, August 03, 2005 4:27 AM
To: 'Henning Schulzrinne'
Cc: [email-masked]
Subject: RE: [Geopriv] Making decisions based on location information

I agree that if you are on the wall between two apartments, you need a
couple centimeter accuracy to determine which side of the wall you are
on.
I don't think there are any available technologies that can do that.
I don't think there are many people who would claim that such resolution
is
actually required.  I think some people would say it's a good reason to
use
wired location determination technology (wiremaps) rather than
measurement
mechanisms like GPS.

It's a guideline, not a requirement.

Brian

-----Original Message-----
From: Henning Schulzrinne [mailto:[email-masked]] 
Sent: Wednesday, August 03, 2005 5:18 AM
To: Brian Rosen
Cc: 'James Winterbottom'; 'Martin Thomson'; [email-masked]
Subject: Re: [Geopriv] Making decisions based on location information

The minor problem is that (without WAAS or similar), these are well 
beyond current technology and probably beyond even most existing maps. 
Thus, this sounds like a requirement for a new government research 
program, not an IETF draft.

Even 10m is insufficient to locate an apartment in some cases.

Brian Rosen wrote:
> I do think that accuracy guidelines are helpful.  I'd like to propose
some:
> 
> Lat/Lon - 10 meters is the requirement, 1 meter is desirable
> 
> Altitude - 1 meter is the requirement.  The actual requirement is an 
> unambiguous floor.
> 
>  
> 
> The FCC rule was a compromise primarily for outdoor use, and made 
> accommodations for the existing technology.  It doesn't represent what

> the actual need is.
> Brian
------------------------------------------------------------------------
> 
> *From:* [email-masked] [mailto:[email-masked]] *On

> Behalf Of *James Winterbottom
> *Sent:* Tuesday, August 02, 2005 7:42 PM
> *To:* Henning Schulzrinne; Martin Thomson
> *Cc:* [email-masked]
> *Subject:* RE: [Geopriv] Making decisions based on location
information
> 
>  
> 
> Henning,
> 
> I do not believe that the PIDF-LO profile draft mentions technology,
but 
> it clearly talks about minimum levels of location precision. There are

> clear rules for some applications around this in the US with regard to

> cellular positioning (50 metre accuracy if the endpoint is used to
held 
> determine the location). The appendix to this draft provides a
detailed 
> example and of how to construct a PIDF-LO from data received from DHCP

> option 123, and states the required number of precision bits to
achieve 
> an accuracy of 100 metres to meet US FCC network determined location 
> requests for Geo.
> 
> I believe that it would be very beneficial to provide similar
guidelines 
> for the civic location. The civic location definition without this 
> basically meaningless because ALL fields are optional, at least with
the 
> geodetic representation the forms are defined by specific GML rules. I

> believe that failure to provide at least some level of guidance in
this 
> direction is tantamount to saying "Do not use Civic data as anything 
> other that an informational only". Which I am prepared to do, but I do

> not believe that that is the intent of it.
> 
> So far the only concerns I am hearing against including this data are 
> from you. I would like to hear from other people if they have concerns

> in this direction also.
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Henning Schulzrinne
> Sent: Wednesday, 3 August 2005 3:03 AM
> To: Thomson, Martin [WOLL:5500:EXCH]
> Cc: [email-masked]
>>  I am aware of the FCC mandate, however, if you read my comments, I
am
>>  not talking about emergency routing only.  A recommendation of this
>>  nature would extend to routing applications.
> 
> Then I'm even less sure what this would accomplish, given that the
> requirements may differ even more for other applications. (One could
> argue that pizza delivery has higher requirements since accidents and
> fires tend to announce themselves even if you're 100' away from the
> scene, while your pizza craving is unlikely to be as visible. But
other
> location-based routing applications, such as calling an on-demand-bus
to
> the nearest bus stop may have lower requirements, since the points of
> service delivery are limited.)
> 
>>  WAAS isn't an option outside of the US, so I don't know why you
would
>>  suggest it.
> 
> It illustrates that a resolution value that might be reasonable or
> desirable within the US is unavailable elsewhere.
> 
>>  If you look at the cellular case, the same location information is
NOT
>>  likely to be used for routing and dispatch.  I don't see why that
model
>>  is so irrelevant in this case.  Do a little research and you can
>>  discover that in 15 seconds I can do an assisted GPS fix - obviously
not
>>  something you want to do before routing, but certainly very helpful
in
>>  dispatch.
> 
> Again, a case where this strongly depends on technology. Unless you
> restrict the technology, you are only going to be able to recommend
the
> least-restrictive solution.
> 
>>  Because an implementer is not always across all these issues.  A
>>  recommendation of this nature provides a goal, or a yardstick -
>>  precisely the sort of thing that was requested in ECRIT earlier.
>>
>>  > I don't think padding documents with recommendations that  > have
>>  no sound  > technical basis, depend on technology choices we don't
>>  > control and are
>>  > likely to be overridden by people who actually matter in this
>>  > discussion
>>  > serves no purpose except to generate mailing list discussion.
>>  >
>>
>>  You are yet to convince me of any of those statements.
> 
> You will see, I believe, that any suggestion of a number will yield
> endless and non-terminable debates as it will be essentially
arbitrary.
> The IETF does not do technology requirements - almost never for its
own
> technology and never for technology that is outside its scope of
influence.